import { ConnectDragSource, ConnectDropTarget } from 'react-dnd';
import { ITreeItem } from '@git-stack/client-core';
export declare const NODE_TYPE = "TreeItem";
export interface TreeItemDragProps {
    readonly connectDragSource: ConnectDragSource;
    readonly isDragging: boolean;
}
export interface DraggedNode {
    item: ITreeItem;
    group: string;
}
export interface TreeGroupDropProps {
    readonly connectDropTarget: ConnectDropTarget;
    readonly canDrop: boolean;
    readonly isDropping: boolean;
}
export interface MoveTreeNodeArgs {
    newGroup: string;
    node: DraggedNode;
}
